# Method Sql.sql_result()->next_result()

Method next_result

  `this_program next_result()`

Description

  Switch to the next set of results.

  Some databases support returning more than one set of results. This function terminates the current result and switches to the next (if any).

Returns

  Returns the sql_result object if there were more results, and `0` (zero) otherwise.

Throws

  May throw the same errors as Sql.Sql()->big_query() et al.